import Head from "next/head";
import Image from "next/image";
import { Typography, useTheme } from "@material-ui/core";
import Layout from "../../components/admin/Layout";
import { makeStyles } from "@material-ui/core/styles";

const useStyles = makeStyles({
  root: {
    display: "flex",
    flexDirection: "column",
    justifyContent: "center",
    alignItems: "center",
    marginTop: "100px",
    textAlign: "center",
  },
  logoBox: {
    position: 'relative',
    width: "200px",
    height: "200px",
  },
});

const Dasboard = () => {
  const classes = useStyles();
  const theme = useTheme();

  return (
    <>
      <Head>
        <title>پنل ادمین زانتیا یدک</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="icon" href="/xantia-logo-svg-vector.svg" />
      </Head>
      <Layout>
        <div className={classes.root}>
          <Typography
            variant="h3"
            style={{
              textShadow: `1px 1px 5px ${theme.palette.primary.main}`,
              lineHeight: "70px",
            }}
          >
            به پنل ادمین زانتیا یدک خوش آمدی! :))
          </Typography>
          <div className={classes.logoBox}>
            <Image
              layout='fill'
              src="https://logosvector.net/wp-content/uploads/2013/06/xantia-vector-logo.png"
              alt="xantia-yadak logo"
            />
          </div>
        </div>
      </Layout>
    </>
  );
};

export default Dasboard;
